Java.com

Download Hilfe

Druckversion

Warum sollte ich ältere Java-Versionen aus dem System deinstallieren?


Dieser Artikel gilt für:
  • Plattform(en): Windows 7, Windows 8, Windows XP, Windows Vista

Windows-Benutzer: Verbessern Sie die Sicherheit Ihres Computers, indem Sie auf alte Java-Versionen prüfen und diese entfernen, wenn Sie Java 8 (8u20 und höher) installieren. Sie können diese auch mit dem Java-Deinstallationstool entfernen.

» Weitere Informationen zum Java-Deinstallationstool

Die aktuelle Java-Version ist immer die empfohlene Version, da sie Featureupdates, Korrekturen von Sicherheitslücken und Performanceverbesserungen zu vorherigen Versionen enthält. Auf der Seite Java Verification (Java-Verifizierung) können Sie prüfen, ob Sie die neueste Version haben. Sie können die Java-Version auch manuell prüfen.

Müssen ältere Java-Versionen deinstalliert werden?

Es wird unbedingt empfohlen, dass Sie alle älteren Java-Versionen auf Ihrem System deinstallieren.
Wenn alte Java-Versionen auf dem System beibehalten werden, stellt dies ein ernsthaftes Sicherheitsrisiko dar.
Die Deinstallation älterer Java-Versionen stellt sicher, dass Java-Anwendungen mit den aktuellsten Sicherheits- und Performanceverbesserungen auf Ihrem System ausgeführt werden.

Wie können ältere Versionen von Java entfernt werden?

Windows-Benutzer können ältere Java-Versionen folgendermaßen gefahrlos deinstallieren:

Wie entferne ich Java von meinem Computer?

Windows: Sie können Java-Versionen manuell genauso von Ihrem Windows-Computer entfernen wie jede andere Software auch. Folgen Sie den Anweisungen unter Java für Windows manuell deinstallieren.
» Anweisungen für das Deinstallieren von Java von Mac-Systemen
» Anweisungen für das Deinstallieren von Java von Linux-Systemen

Brauche ich ältere Java-Versionen?

Die neueste verfügbare Version ist mit den älteren Versionen kompatibel. Einige Java-Anwendungen (oder -Applets) können jedoch angeben, dass sie von einer bestimmten Version abhängig sind, und werden möglicherweise nicht ausgeführt, wenn diese Version nicht installiert ist. Wenn eine Anwendung oder Webseite, auf die Sie zugreifen, eine ältere Java-Version erfordert, sollten Sie dies dem Anbieter/Entwickler mitteilen und diesen bitten, die Anwendung zu aktualisieren, um sie mit allen Java-Versionen kompatibel zu machen.


Folgende Themen könnten ebenfalls interessant für Sie sein:



Sprachauswahl | Info zu Java | Support | Entwickler
Datenschutz | Nutzungsbedingungen | Marken | Haftungsausschluss

Oracle